{include file=$body_file assign='body'}
{include file="frontend/lang_panel.tpl" assign='langpanel'}
{include file="frontend/top_menu.tpl" assign='topmenu'}

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
    "http://www.w3.org/TR/html4/loose.dtd">
<html>
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <link rel="stylesheet" href="{$baseurl}styles/screen.css" type="text/css" media="screen">
    <link rel="stylesheet" href="{$baseurl}styles/print.css" type="text/css" media="print">
    <title>{$page_title}</title>
  </head>
  <body>
    <!-- Main page body -->
    <div id="pagewraper">
      <!-- Page menu -->
      <div id="menuwraper">
        <!-- Page menu items -->
        {$topmenu}
      </div>
      <div id="searchbox">
        <form action="{$baseurl}search/index/{$jazyk}" method="post" onsubmit="return check_search();">
          <input type="text" name="search" size="20" value="{$lang_search}" class="searchinput" id="searchinput" onchange="update();" onclick="clear_box();" onblur="update();" onfocus="clear_box();">
          <input type="submit" value="&gt;" name="do_search" class="searchsubmit">
          <input type="hidden" name="search_real" value="" id="searchhide">
        </form>
        <script type="text/javascript">
        {literal}
            function update() {
              var text = document.getElementById('searchinput').value;
              if (text == '') {
                document.getElementById('searchinput').value = '{/literal}{$lang_search}{literal}';
              }
            }
            
            function clear_box() {
              var text = document.getElementById('searchinput').value;
              if (text == '{/literal}{$lang_search}{literal}') {
                document.getElementById('searchinput').value = '';
              }
            }
            
            function check_search() {
              var text = document.getElementById('searchinput').value;
              if (text == '{/literal}{$lang_search}{literal}') {
                return false;
              }
              var ch, out='';
              document.getElementById('searchhide').value = text;
              text = text.toLowerCase();
              for (i=0;i<text.length;i++) {
                ch = text.charAt(i);
                switch (ch) {
                  case 'é': case 'ě': out += 'e'; break;
                  case 'í': out += 'i'; break;
                  case 'á': case 'ä': out += 'a'; break;
                  case 'ó': case 'ô': case 'ö': case 'ő': out += 'o'; break;
                  case 'ú': case 'ü': case 'ű': out += 'u'; break;
                  case 'š': out += 's'; break;
                  case 'ň': out += 'n'; break;
                  case 'č': out += 'c'; break;
                  case 'ľ': case 'ĺ': out += 'l'; break;
                  case 'ť': out += 't'; break;
                  case 'ž': out += 'z'; break;
                  case 'ď': out += 'd'; break;
                  case 'ř': case 'ŕ': out += 'r'; break;
                  default: out += ch; break;
                }
              }
              document.getElementById('searchinput').value = out;
              return true;
            }
        {/literal}
        </script>
      </div>
      <!-- Page header with h1 wraped page title -->
      <div id="headerwraper">
        <!-- Page name -->
        <h1>{$page_title}</h1>
      </div>
      <!-- Page body wraper -->
      <div id="pagebodywraper">
        <!-- Page content title -->
        <div id="contenttitlewraper">
          <h2>{$page_header_title}</h2>
        </div>
        <!-- Page content -->
        <div id="contentwraper">
          {$body}
        </div>
        <!-- Page footer -->
        <div id="footerwraper"></div>
      </div>
      <!-- Page body right part with language menu -->
      <div id="langpanelwraper">
        <!-- Language menu items -->
        {$langpanel}
        
        <!-- BEGIN - WebMonitor.sk v1.4 code -->
        <script type="text/javascript">
          var wm_a, wm_o;
          wm_a = 0; // konverzná akcia; 0 = nie; 1 = áno
          wm_o = 0; // suma za objednávku
        </script>
        
        <a href="http://webmonitor.sk">
        <script src="http://log.webmonitor.sk/wmc.php?mId=2067&amp;cnt=1&amp;cnt_data=1&amp;cnt_p=0&amp;cnt_w=15&amp;cnt_h=20&amp;cnt_c=6" type="text/javascript"></script>
        </a>
        
        <noscript>
        <div>
        <img src="http://log.webmonitor.sk/monitor.php?mId=2067&amp;cnt=1&amp;cnt_data=1&amp;cnt_p=0&amp;cnt_w=15&amp;cnt_h=20&amp;cnt_c=6" width="90" height="20" alt="" />
        </div>
        </noscript>
        <!-- END - WebMonitor.sk v1.4 code -->
        
      </div>
    </div>
  </body>
</html>